#!/bin/bash

function die() {
    echo >&2 $1
    exit 1
}

# Before we crash and burn, make sure necessary programs are installed!
command -v inotifywait || die "I need the inotifywait command (apt install inotify-tools)"

make
while inotifywait -r -e modify,move,create,delete static templates; do
    make
done
